#include <iostream.h>
#include <fstream.h>

int sum;
int half;
int marbles[6];
int part0[6];

bool recurse(int i, int part0sum, int part1sum) {
  if (part0sum>half || part1sum>half)
    return false;
  else {
    if (i==0) {
      return true;
    } else {
      int max= (half-part0sum)/(i+1) +1;
      if (max>marbles[i])
	max = marbles[i];
      
      int min= marbles[i] - (half-part1sum)/(i+1) -1;
      if (min<0)
	min=0;
      
      for (int j=min; j<=max; j++) {
	part0[i] = j;
	if (recurse(i-1, part0sum + j*(i+1), part1sum + (marbles[i]-j)*(i+1)))
	  return true;
      }
      return false;
    }
  }
}

int main(void)
{
  ifstream fin("divide.in");

  int N=0;
  do {
    sum=0;
    for (int i=0; i<6; i++) {
      fin >> marbles[i];
      sum += (i+1)*marbles[i];
    }

    if (sum) {
      cout << "Collection #" << ++N << ":" << endl;
      half = sum/2;
      if (!(sum&1) && recurse(5, 0, 0)) 
	cout << "Can be divided." << endl;
      else
	cout << "Can't be divided." << endl;
      cout << endl;
    }
  } while (sum);

  return 0;
}
